Skip to main content.
home | support | download

Back to List Archive

RE: More info on swish.cgi problem on win2k

From: Peter Bisset <pbisset(at)not-real.emergency.qld.gov.au>
Date: Wed Jun 23 2004 - 03:12:45 GMT
Zeeshan,

my problem (refer other post) was fixed by upgrading my version of perl to 5.6.1. My perl skills are rather limited, but now that I have swish.cgi working I can look at the API module. I only have 35,000 documents indexed and performance is quite good, but I am always open to a better way of doing things.

Thanks

Peter Bisset
Ph. 3247 8553 (94553)
Fax 3247 8598 (94598)
Business Systems Unit
Department of Emergency Services

-----Original Message-----
From: Ahmad, Zeeshan (FMC) [mailto:Zeeshan.Ahmad@fmc.sa.gov.au]
Sent: Wednesday, 23 June 2004 12:43 PM
To: Multiple recipients of list
Subject: [SWISH-E] Re: More info on swish.cgi problem on win2k


Peter

I remember that I could not get Swish to run via swish.exe properly on Win
2K (worked fine on NT4). Have you tried to use the Swish::API mode? - it
should work if your configuration is correct - is faster too.

__________________

Zeeshan Ahmad
FMC Computing Services
Bedford Park SA

Ph: 8204 6178


-----Original Message-----
From: swish-e@sunsite3.berkeley.edu [mailto:swish-e@sunsite3.berkeley.edu]
On Behalf Of Bill Moseley
Sent: Wednesday, 23 June 2004 11:42 AM
To: Multiple recipients of list
Subject: [SWISH-E] Re: More info on swish.cgi problem on win2k

On Wed, Jun 23, 2004 at 12:01:47PM +1000, Peter Bisset wrote:
>
> Bill - just thought that I could type the command at the prompt and
> see what happens.

Yes, I understand.  I'm just not so sure that the command is run through
the shell in swish.cgi on Win32 -- so it might or might not help with
your actual problem.

Anyway, just print out the command:

       my $pid = IPC::Open2::open2($rdrfh, $wtrfh, @command );

add after that line:

      print "Command is [@command]\n";



> Also, I have found that I am running ActivePerl
> 5.6.0 on win2k and 5.6.1 on xp. Wouldn't think that there was much
> difference, but I will see if I can find a test environment to try out
> an upgrade.

5.6.0 is considered reasonably buggy, I think, so that might be the
issue.

--
Bill Moseley
moseley@hank.org

This correspondence is for the named persons only.
It may contain confidential or privileged information or both.
No confidentiality or privilege is waived or lost by any mis transmission.
If you receive this correspondence in error please delete it from your system immediately and notify the sender.
You must not disclose, copy or relay on any part of this correspondence, if you are not the intended recipient.
Any opinions expressed in this message are those of the individual sender except where the sender expressly,
and with the authority, states them to be the opinions of the Department of Emergency Services, Queensland.
Received on Wed Jun 23 03:12:47 2004